[3.2][3.3][RC] Userreminder

In diesem Forum können Extension-Autoren ihre Extensions vorstellen, die sich noch im Entwicklungsstatus befinden. Der Einbau in Foren im produktiven Betrieb wird nicht empfohlen.
Benutzeravatar
Cowboy of Bottrop
Mitglied
Beiträge: 207
Registriert: 01.02.2017 21:11
Wohnort: Bottrop anne Emscher
Kontaktdaten:

Re: [3.2][3.3][RC] Userreminder

Beitrag von Cowboy of Bottrop »

Hallo Mike,

nach Aktivierung der Ext bekomme ich in 3 unterschiedlichen Boards folgende PHP-Warnungen nach dem Login (Board und ACP):

Code: Alles auswählen

[phpBB Debug] PHP Warning: in file [ROOT]/ext/mot/userreminder/event/main_listener.php on line 94: Use of undefined constant SECS_PER_DAY - assumed 'SECS_PER_DAY' (this will throw an Error in a future version of PHP)
[phpBB Debug] PHP Warning: in file [ROOT]/ext/mot/userreminder/event/main_listener.php on line 94: A non-numeric value encountered
[phpBB Debug] PHP Warning: in file [ROOT]/includes/functions.php on line 1792: Cannot modify header information - headers already sent by (output started at [ROOT]/includes/functions.php:3006)
Alle Boards laufen mit phpBB 3.3.1 und PHP 7.4.5.

Ich habe die Ext erst mal wieder deaktiviert.
Keep it County,
Markus aka Cowboy
Benutzeravatar
Mike-on-Tour
Junior Supporter
Beiträge: 283
Registriert: 13.01.2020 21:09

Re: [3.2][3.3][RC] Userreminder

Beitrag von Mike-on-Tour »

Das ist nur eine Warnung, weil die Art und Weise der Definition der benannten Konstante unter PHP 7.4 als "Depricated" markiert ist mit dem Hinweis, dass dies in nachfolgenden PHP-Versionen dadurch ein Fehler verursacht wird. Die Funktion ist dadurch nicht beeinträchtigt.
Es wundert mich aber, dass in einem produktiven Forum die Ausgabe von Warnungen eingeschaltet ist, normalerweise ist das in phpBB abgeschaltet.
Benutzeravatar
Cowboy of Bottrop
Mitglied
Beiträge: 207
Registriert: 01.02.2017 21:11
Wohnort: Bottrop anne Emscher
Kontaktdaten:

Re: [3.2][3.3][RC] Userreminder

Beitrag von Cowboy of Bottrop »

Ich habe keine Warnungen oder Fehlerausgaben aktiviert, zumindest nicht bewusst.

Die Boards zeigen nach dem Login einfach eine weiße Seite mit den Warnungen, es geht erst nach einem Reload des Boards weiter. Dabei ist es egal, ob sich ein User anmeldet, oder ich den Login für den Zugang zum ACP bestätige.
Keep it County,
Markus aka Cowboy
Benutzeravatar
Mike-on-Tour
Junior Supporter
Beiträge: 283
Registriert: 13.01.2020 21:09

Re: [3.2][3.3][RC] Userreminder

Beitrag von Mike-on-Tour »

Okay, das ging aus deinen Ausführungen so nicht hervor und ist natürlich etwas anderes. Da werde ich die Änderung nicht auf die lange Bank schieben.

EDIT:
Unter diesem Link gibt es den geänderten Quellcode für die Datei event/main_listener.php, um die Warnung unter PHP 7.4 zu beseitigen.
Über den Link "herunterladen" oberhalb des zweiten Feldes mit dem Quellcode kann die Datei heruntergeladen werden, anschließend per FTP als /ext/mot/userreminder/event/main_listener.php im Forum speichern.
Alternativ mit Notepad++ in eine neue Datei kopieren und diese mit Kodierung "UTF-8" (ohne BOM!!!!) und Zeilenendeformat "Unix (LF)" im entsprechenden Unterverzeichnis des Forums (/ext/mot/userreminder/event/main_listener.php) speichern.
Benutzeravatar
Cowboy of Bottrop
Mitglied
Beiträge: 207
Registriert: 01.02.2017 21:11
Wohnort: Bottrop anne Emscher
Kontaktdaten:

Re: [3.2][3.3][RC] Userreminder

Beitrag von Cowboy of Bottrop »

Hab den Edit jetzt gerade erst gesehen und die Datei event/main_listener.php mit dem Pastebin ersetzt. Der Fehler ist wie versprochen behoben, alles perfekt. Danke für den schnelle Hilfe!
Keep it County,
Markus aka Cowboy
Benutzeravatar
HaioPaio
Mitglied
Beiträge: 110
Registriert: 05.11.2017 21:42

Re: [3.2][3.3][RC] Userreminder

Beitrag von HaioPaio »

Hallo Mike

Seit heute habe ich im Hauptforum 3.3.1 und im Testforum 3.3.1 eine Fehlermeldung wenn ich Mitglieder erinnern, Schläfer oder Nullposter aufrufe. (Rev. 1.2.1)
Die Settings kann ich ohne Probleme aufrufen.

Code: Alles auswählen

Allgemeiner Fehler
Auf das Modul kann nicht zugegriffen werden

BACKTRACE

FILE: (not given by php)
LINE: (not given by php)
CALL: msg_handler()

FILE: [ROOT]/includes/functions_module.php
LINE: 565
CALL: trigger_error()

FILE: [ROOT]/adm/index.php
LINE: 81
CALL: p_master->load_active()
Ich habe im Testforum bereits alle anderen Erweiterungen deaktiviert. Der Fehler tritt trotzdem auf.
Hast du einen Tipp für mich? Es hatte ja alles lange Zeit schon funktioniert.

EDIT: Ich habe kürzlich meine .htaccess Datei geändert um SPAM rauszuhalten.

Code: Alles auswählen

<IfModule mod_rewrite.c>
RewriteEngine on
#
# Uncomment the statement below if URL rewriting doesn't
# work properly. If you installed phpBB in a subdirectory
# of your site, properly set the argument for the statement.
# e.g.: if your domain is test.com and you installed phpBB
# in http://www.test.com/phpBB/index.php you have to set
# the statement RewriteBase /phpBB/
#
RewriteBase /phpBB_02

#
# Uncomment the statement below if you want to make use of
# HTTP authentication and it does not already work.
# This could be required if you are for example using PHP via Apache CGI.
#
#RewriteRule .* - [E=HTTP_AUTHORIZATION:%{HTTP:Authorization},L]

#
# The following 3 lines will rewrite URLs passed through the front controller
# to not require app.php in the actual URL. In other words, a controller is
# by default accessed at /app.php/my/controller, but can also be accessed at
# /my/controller
#
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule ^(.*)$ app.php [QSA,L]
#
# If symbolic links are not already being followed,
# uncomment the line below.
# http://anothersysadmin.wordpress.com/2008/06/10/mod_rewrite-forbidden-403-with-apache-228/
#
#Options +FollowSymLinks
</IfModule>

# With Apache 2.4 the "Order, Deny" syntax has been deprecated and moved from
# module mod_authz_host to a new module called mod_access_compat (which may be
# disabled) and a new "Require" syntax has been introduced to mod_authz_host.
# We could just conditionally provide both versions, but unfortunately Apache
# does not explicitly tell us its version if the module mod_version is not
# available. In this case, we check for the availability of module
# mod_authz_core (which should be on 2.4 or higher only) as a best guess.
<IfModule mod_version.c>
	<IfVersion < 2.4>
		<Files "config.php">
			Order Allow,Deny
			Deny from All
		</Files>
		<Files "common.php">
			Order Allow,Deny
			Deny from All
		</Files>
	</IfVersion>
	<IfVersion >= 2.4>
		<Files "config.php">
			Require all denied
		</Files>
		<Files "common.php">
			Require all denied
		</Files>
	</IfVersion>
</IfModule>
<IfModule !mod_version.c>
	<IfModule !mod_authz_core.c>
		<Files "config.php">
			Order Allow,Deny
			Deny from All
		</Files>
		<Files "common.php">
			Order Allow,Deny
			Deny from All
		</Files>
	</IfModule>
	<IfModule mod_authz_core.c>
		<Files "config.php">
			Require all denied
		</Files>
		<Files "common.php">
			Require all denied
		</Files>
	</IfModule>
</IfModule>


# 6G FIREWALL/BLACKLIST
# @ https://perishablepress.com/6g/

# 6G:[QUERY STRING]
<IfModule mod_rewrite.c>
	RewriteEngine On
	RewriteCond %{QUERY_STRING} (eval\() [NC,OR]
	RewriteCond %{QUERY_STRING} (127\.0\.0\.1) [NC,OR]
	RewriteCond %{QUERY_STRING} ([a-z0-9]{2000,}) [NC,OR]
	RewriteCond %{QUERY_STRING} (javascript:)(.*)(;) [NC,OR]
	RewriteCond %{QUERY_STRING} (base64_encode)(.*)(\() [NC,OR]
	RewriteCond %{QUERY_STRING} (GLOBALS|REQUEST)(=|\[|%) [NC,OR]
	RewriteCond %{QUERY_STRING} (<|%3C)(.*)script(.*)(>|%3) [NC,OR]
	RewriteCond %{QUERY_STRING} (\\|\.\.\.|\.\./|~|`|<|>|\|) [NC,OR]
	RewriteCond %{QUERY_STRING} (boot\.ini|etc/passwd|self/environ) [NC,OR]
	RewriteCond %{QUERY_STRING} (thumbs?(_editor|open)?|tim(thumb)?)\.php [NC,OR]
	RewriteCond %{QUERY_STRING} (\'|\")(.*)(drop|insert|md5|select|union) [NC]
	RewriteRule .* - [F]
</IfModule>

# 6G:[REQUEST METHOD]
<IfModule mod_rewrite.c>
	RewriteCond %{REQUEST_METHOD} ^(connect|debug|move|put|trace|track) [NC]
	RewriteRule .* - [F]
</IfModule>

# 6G:[REFERRER]
<IfModule mod_rewrite.c>
	RewriteCond %{HTTP_REFERER} ([a-z0-9]{2000,}) [NC,OR]
	RewriteCond %{HTTP_REFERER} (semalt.com|todaperfeita) [NC]
	RewriteRule .* - [F]
</IfModule>

# 6G:[REQUEST STRING]
<IfModule mod_alias.c>
	RedirectMatch 403 (?i)([a-z0-9]{2000,})
	RedirectMatch 403 (?i)(https?|ftp|php):/
	RedirectMatch 403 (?i)(base64_encode)(.*)(\()
	RedirectMatch 403 (?i)(=\\\'|=\\%27|/\\\'/?)\.
	RedirectMatch 403 (?i)/(\$(\&)?|\*|\"|\.|,|&|&amp;?)/?$
	RedirectMatch 403 (?i)(\{0\}|\(/\(|\.\.\.|\+\+\+|\\\"\\\")
	RedirectMatch 403 (?i)(~|`|<|>|:|;|,|%|\\|\{|\}|\[|\]|\|)
	RedirectMatch 403 (?i)/(=|\$&|_mm|cgi-|muieblack)
	RedirectMatch 403 (?i)(&pws=0|_vti_|\(null\)|\{\$itemURL\}|echo(.*)kae|etc/passwd|eval\(|self/environ)
	RedirectMatch 403 (?i)\.(aspx?|bash|bak?|cfg|cgi|dll|exe|git|hg|ini|jsp|log|mdb|out|sql|svn|swp|tar|rar|rdf)$
	RedirectMatch 403 (?i)/(^$|(wp-)?config|mobiquo|phpinfo|shell|sqlpatch|thumb|thumb_editor|thumbopen|timthumb|webshell)\.php
</IfModule>

# 6G:[USER AGENT]
<IfModule mod_setenvif.c>
	SetEnvIfNoCase User-Agent ([a-z0-9]{2000,}) bad_bot
	SetEnvIfNoCase User-Agent (archive.org|binlar|casper|checkpriv|choppy|clshttp|cmsworld|diavol|dotbot|extract|feedfinder|flicky|g00g1e|harvest|heritrix|httrack|kmccrew|loader|miner|nikto|nutch|planetwork|postrank|purebot|pycurl|python|seekerspider|siclab|skygrid|sqlmap|sucker|turnit|vikspider|winhttp|xxxyy|youda|zmeu|zune) bad_bot

	# Apache < 2.3
	<IfModule !mod_authz_core.c>
		Order Allow,Deny
		Allow from all
		Deny from env=bad_bot
	</IfModule>

	# Apache >= 2.3
	<IfModule mod_authz_core.c>
		<RequireAll>
			Require all Granted
			Require not env bad_bot
		</RequireAll>
	</IfModule>
</IfModule>
Benutzeravatar
BNa
Valued Contributor
Beiträge: 2713
Registriert: 12.04.2010 23:51
Kontaktdaten:

Re: [3.2][3.3][RC] Userreminder

Beitrag von BNa »

Dann würd ich doch als allererstes mal die .htacces "jungfräulich" machen > testen...
Und um SPAM rauszuhalten, mach einfach im ACP 'ne geniale Antwort auf eine geniale Frage via Q+A Plugin (ist im phpBB enthalten)
Benutzeravatar
Mike-on-Tour
Junior Supporter
Beiträge: 283
Registriert: 13.01.2020 21:09

Re: [3.2][3.3][RC] Userreminder

Beitrag von Mike-on-Tour »

Da bin ich leider raus, ich habe mal versucht, mich durch deine .htaccess und dort besonders durch die vielen regulären Ausdrücke zu kämpfen, aber das habe ich aufgegeben. Deshalb weiß ich nicht, was diese .htaccess alles macht und wo das Auswirkungen haben kann.
Ich empfehle, die .htaccess wieder in den ursprünglichen Zustand zu versetzen.
Benutzeravatar
HaioPaio
Mitglied
Beiträge: 110
Registriert: 05.11.2017 21:42

Re: [3.2][3.3][RC] Userreminder

Beitrag von HaioPaio »

Nachtrag:
Mike, du kannst den Hammer fallen lassen.
Ich habe ein neues jungfräuliches 3.3.1 Forum aufgesetzt und userreminder installiert.
Der Fehler tritt nicht auf. Im ACP Schnellzugriff gibt es auch keine Links zu deinen Funktionen.
Ich werde mich an den Autor von Admin Dashboard wenden.
Ich hatte in den anderen Foren damit Links zu deiner Erweiterung in den ACP Schnellzugriff gesetzt.
Da muss das Problem liegen.


Mike
Der Fehler hat nichts mit der .htaccess zu tun. Ich habe die jungfräuliche Datei verwendet. Gleiches Problem.

Mir ist noch etwas aufgefallen. Deine Erweiterung erzeugt ja Einträge im Schnellzugriff des ACP. Wenn ich dort auf "Mitglieder erinnern" klicke, funktioniert alles. Der Fehler tritt nur auf wenn ich im ACP/Erweiterungen die Funktion aufrufe.

Leider sagt mir die Fehlermeldung gar nichts.

Weitere Info. Ich hatte die Erweiterung Admin Dashboard aktiviert. Sie ist zwischenzeitlich deaktiviert und die Arbeitsdaten sind gelöscht. Trotzdem habe ich den Fehler in deiner Erweiterung.
Ich habe keinen Hinweis darauf dass es damit was zu tun haben könnte, wollte es nur erwähnt haben.

Soll ich dir wieder einen Zugang für mein Testboard einrichten? Ich würde dann eine PN senden.

Die .htaccess ist übrigens von Hificabin und auf seiner Webseite zu finden. Sie hält die unerwünschten, im Hintergrund arbeitenden, Crawler und Bots vom Server fern. Das senkt die Serverlast deutlich. Thema ist Ahrefs Bot und solche. Die wollen sich nicht einloggen sondern nur Content durchsuchen und beanspruchen Ressourcen. Es geht also nicht um Spambots die sich einloggen wollen.
Benutzeravatar
BNa
Valued Contributor
Beiträge: 2713
Registriert: 12.04.2010 23:51
Kontaktdaten:

Re: [3.2][3.3][RC] Userreminder

Beitrag von BNa »

viewtopic.php?t=242777
Mal ins Blaue > STK > "Modul-Konfiguration neu aufbauen" oder "Datenbank-Bereinigung":
Ab hier lesen:
viewtopic.php?p=1393443#p1393443
Nimm aber das neuste STK ..
viewtopic.php?p=1406720#p1406720
und vorab Datanbank sichern.
Antworten

Zurück zu „Extensions in Entwicklung“